Charges
GET/billing/charges
List charges
Lists a merchant's charges from a service provider.
Optional attributes
- Name
q- Type
- string
- Description
- Search language filter. Supported fields: `category` (string), `description` (string), `invoice` (null check, use `invoice^"null"` or `invoice!^"null"`), `voided_at` (null check, use `voided_at^"null"` or `voided_at!^"null"`), `created_at` (date, requires the `$DATE` modifier and supports the `:`, `>`, `>=`, `<`, `<=` operators with a `YYYY-MM-DD` value), `items.chargeable_item_type` (string, matches charges with at least one item of that chargeable item type), `items.chargeable_item_id` (string, matches charges with at least one item for that chargeable item ID). Clauses can be combined with `AND` / `OR`. Example: `items.chargeable_item_type:"order" AND items.chargeable_item_id:"2"`
- Name
sorts- Type
- array<Sort>
- Description
- Sort the results. Example: `sorts[0][field]=id&sorts[0][direction]=desc&sorts[0][order]=1`
- Name
page- Type
- integer
- Description
- The page number to retrieve (1-indexed) 1
- Name
per_page- Type
- integer
- Description
- The number of items per page 15
Request
GET/billing/charges
curl -G https://YOUR_DOMAIN/api/billing/charges \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
GET/billing/charges/{charge}
Show a charge
Shows a charge and its items to the service provider or merchant it belongs to.
Required attributes
- Name
charge- Type
- integer
- Description
- The ID of the charge 1
Request
GET/billing/charges/{charge}
curl -G https://YOUR_DOMAIN/api/billing/charges/{charge} \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
POST/billing/charges/quick-adjustment
Store a quick adjustment charge
Required attributes
- Name
amount- Type
- number
- Description
- The amount of the adjustment 9.99
- Name
description- Type
- string
- Description
- A description of the adjustment Monthly fee adjustment
Request
POST/billing/charges/quick-adjustment
curl -X POST https://YOUR_DOMAIN/api/billing/charges/quick-adjustment \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"amount": 9.99,
"description": "Monthly fee adjustment"
}'Loading response...
